'use strict';


const moment = require('moment');

module.exports = app => {
  const { INTEGER, DATE } = app.Sequelize;

  const CourseV5ClassToAge = app.classModel.define('course_v5_class_to_age', {
    id: {
      type: INTEGER,
      primaryKey: true,
      autoIncrement: true,
    },
    class_id: INTEGER,
    age_id: INTEGER,
    status: INTEGER,
    is_deleted: INTEGER,
    created_time: {
      type: DATE,
      allowNull: true,
      get() {
        const date = this.getDataValue('created_time');
        return date ? moment(date).format('YYYY-MM-DD HH:mm:ss') : undefined;
      },
    },
    updated_time: {
      type: DATE,
      allowNull: true,
      get() {
        const date = this.getDataValue('updated_time');
        return date ? moment(date).format('YYYY-MM-DD HH:mm:ss') : undefined;
      },
    },
  }, {
    timestamps: false,
    tableName: 'course_v5_class_to_age',
  });

  return CourseV5ClassToAge;

};
